Skip to content

Search these docs, or ask Revo a question — answers link the pages they came from.

Used to get all labware in the system


GET
/api/v1/{tenantId}/labware

Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.

tenantId
required
string

OK

object
labware
Array<object>
nullable
object
id
string
nullable
templateId
string
nullable
name
string
nullable
labwareJsonId
string
nullable
wellCount
integer format: int32
barCodeRegEx
string
nullable
color
string
nullable
renderMaterial
string
nullable
description
string
nullable
gripForce
number format: double
moveSpeed
number format: double
externalClearanceToPlateBottom
number format: double
gripHeight
number format: double
heightWithLid
number format: double
heightWithoutLid
number format: double
stackHeightIncrement
number format: double
stackHeightIncrementWithLid
number format: double
isLiddedDefault
boolean
isTubes
boolean
manufacturer
string
nullable
partNumber
string
nullable
docsUrl
string
nullable
gripPortrait
number format: double
gripLandscape
number format: double
imageUrl
string
nullable
svgTopLandscape
string
nullable
svgCrossSection
string
nullable
modelUrl
string
nullable
modelMaterials
Array<object>
nullable
object
modelMaterialName
string
nullable
replacementMaterialName
string
nullable
plateGeometry
object
wellCount
integer format: int32
wellShape
string
nullable
wellBottomShape
string
nullable
wellPitch
number format: double
wellDepth
number format: double
wellDiameter
number format: double
wellDiameterTop
number format: double
nullable
wellDiameterBottom
number format: double
nullable
xOffsetA1
number format: double
yOffsetA1
number format: double
height
number format: double
skirtHeight
number format: double
skirtX
number format: double
skirtY
number format: double

Bad Request

object
message
string
nullable
code
string
nullable

Too Many Requests

object
message
string
nullable
code
string
nullable

Service Unavailable

object
message
string
nullable
code
string
nullable

Gateway Timeout

object
message
string
nullable
code
string
nullable